import { z } from 'zod';
import { disease } from './disease';
import { organism } from './organism';
import { overviewImageView } from './overviewImageView';

export const projectSchema = z.object({
  version: z.string(),
  disease,
  organism,
  idObject: z.number(),
  status: z.string(),
  directory: z.string(),
  progress: z.number(),
  notifyEmail: z.string(),
  logEntries: z.boolean(),
  name: z.string(),
  sharedInMinervaNet: z.boolean(),
  owner: z.string(),
  projectId: z.string(),
  creationDate: z.string(),
  mapCanvasType: z.string(),
  overviewImageViews: z.array(overviewImageView),
  topOverviewImage: overviewImageView,
});
