import { createSlice } from '@reduxjs/toolkit';
import {
  closeDrawerReducer,
  displayBioEntitiesListReducer,
  displayChemicalsListReducer,
  displayDrugsListReducer,
  displayEntityDetailsReducer,
  displayGroupedSearchResultsReducer,
  openDrawerReducer,
  openBioEntityDrawerByIdReducer,
  openReactionDrawerByIdReducer,
  openSearchDrawerWithSelectedTabReducer,
  openSubmapsDrawerReducer,
  selectTabReducer,
} from './drawer.reducers';
import { DRAWER_INITIAL_STATE } from './drawer.constants';

const drawerSlice = createSlice({
  name: 'drawer',
  initialState: DRAWER_INITIAL_STATE,
  reducers: {
    openDrawer: openDrawerReducer,
    openSearchDrawerWithSelectedTab: openSearchDrawerWithSelectedTabReducer,
    openSubmapsDrawer: openSubmapsDrawerReducer,
    selectTab: selectTabReducer,
    closeDrawer: closeDrawerReducer,
    displayDrugsList: displayDrugsListReducer,
    displayChemicalsList: displayChemicalsListReducer,
    displayBioEntitiesList: displayBioEntitiesListReducer,
    displayGroupedSearchResults: displayGroupedSearchResultsReducer,
    displayEntityDetails: displayEntityDetailsReducer,
    openReactionDrawerById: openReactionDrawerByIdReducer,
    openBioEntityDrawerById: openBioEntityDrawerByIdReducer,
  },
});

export const {
  openDrawer,
  openSearchDrawerWithSelectedTab,
  openSubmapsDrawer,
  selectTab,
  closeDrawer,
  displayDrugsList,
  displayChemicalsList,
  displayBioEntitiesList,
  displayGroupedSearchResults,
  displayEntityDetails,
  openReactionDrawerById,
  openBioEntityDrawerById,
} = drawerSlice.actions;

export default drawerSlice.reducer;
