import type { DrawerName } from '@/types/drawerName';
import { BioEntityContent, Chemical, Drug } from '@/types/models';
import { PayloadAction } from '@reduxjs/toolkit';

export type SearchDrawerState = {
  currentStep: number;
  stepType: 'bioEntity' | 'drugs' | 'chemicals' | 'none';
  selectedValue: BioEntityContent | Drug | Chemical | undefined;
  listOfBioEnitites: BioEntityContent[];
  selectedSearchElement: string;
};

export type ReactionDrawerState = {
  reactionId?: number;
};

export type BioEntityDrawerState = {
  bioentityId?: number;
};

export type DrawerState = {
  isOpen: boolean;
  drawerName: DrawerName;
  searchDrawerState: SearchDrawerState;
  reactionDrawerState: ReactionDrawerState;
  bioEntityDrawerState: BioEntityDrawerState;
};

export type OpenSearchDrawerWithSelectedTabReducerPayload = string;
export type OpenSearchDrawerWithSelectedTabReducerAction =
  PayloadAction<OpenSearchDrawerWithSelectedTabReducerPayload>;

export type OpenReactionDrawerByIdPayload = number;
export type OpenReactionDrawerByIdAction = PayloadAction<OpenReactionDrawerByIdPayload>;

export type OpenBioEntityDrawerByIdPayload = number;
export type OpenBioEntityDrawerByIdAction = PayloadAction<OpenBioEntityDrawerByIdPayload>;
