import { createSlice } from '@reduxjs/toolkit';
import { MODAL_INITIAL_STATE } from './modal.constants';
import {
  closeModalReducer,
  openModalReducer,
  openOverviewImagesModalByIdReducer,
  setOverviewImageIdReducer,
} from './modal.reducers';

const modalSlice = createSlice({
  name: 'modal',
  initialState: MODAL_INITIAL_STATE,
  reducers: {
    openModal: openModalReducer,
    closeModal: closeModalReducer,
    openOverviewImagesModalById: openOverviewImagesModalByIdReducer,
    setOverviewImageId: setOverviewImageIdReducer,
  },
});

export const { openModal, closeModal, openOverviewImagesModalById, setOverviewImageId } =
  modalSlice.actions;

export default modalSlice.reducer;
