import { QueryDataParams } from '@/types/query';
import { createSelector } from '@reduxjs/toolkit';
import { mapDataSelector } from '../map/map.selectors';
import { perfectMatchSelector, searchValueSelector } from '../search/search.selectors';

export const queryDataParamsSelector = createSelector(
  searchValueSelector,
  perfectMatchSelector,
  mapDataSelector,
  (searchValue, perfectMatch, { modelId, backgroundId, position }): QueryDataParams => ({
    searchValue: searchValue.join(';'),
    perfectMatch,
    modelId,
    backgroundId,
    ...position.last,
  }),
);
