import { getMultiBioEntity } from '@/redux/bioEntity/bioEntity.thunks';
import { getMultiChemicals } from '@/redux/chemicals/chemicals.thunks';
import { getMultiDrugs } from '@/redux/drugs/drugs.thunks';
import { PerfectMultiSearchParams } from '@/types/search';
import { createAsyncThunk } from '@reduxjs/toolkit';

type GetSearchDataProps = PerfectMultiSearchParams;

export const getSearchData = createAsyncThunk(
  'project/getSearchData',
  async ({ searchQueries, isPerfectMatch }: GetSearchDataProps, { dispatch }): Promise<void> => {
    await Promise.all([
      dispatch(getMultiBioEntity({ searchQueries, isPerfectMatch })),
      dispatch(getMultiDrugs(searchQueries)),
      dispatch(getMultiChemicals(searchQueries)),
    ]);
  },
);
